package com.ygtx.gxt.domain.vo;

import com.ygtx.common.annotation.Excel;

import java.math.BigDecimal;

/**
 * 用户月度评分统计表对象 gxt_user_score
 * 
 * @author ruoyi
 * @date 2025-11-03
 */
public class GxtUserScoreVo
{
    @Excel(name = "设备场站")
    private String remark;

    /** 统计月份(YYYY-MM) */
    @Excel(name = "统计月份")
    private String monthPeriod;

    /** 用户ID（用于查询条件） */
    private Long userId;

    /** 用户名 */
    private String userName;

    @Excel(name = "员工姓名")
    private String nickName;

    /** 维保工单总分 */
    @Excel(name = "维保工分")
    private BigDecimal maintenanceTotalScore;

    /** 维修工单总分 */
    @Excel(name = "维修工分")
    private BigDecimal repairTotalScore;

    /** 最终评分 */
    @Excel(name = "总工分")
    private BigDecimal finalScore;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMonthPeriod() {
        return monthPeriod;
    }

    public void setMonthPeriod(String monthPeriod) {
        this.monthPeriod = monthPeriod;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public BigDecimal getMaintenanceTotalScore() {
        return maintenanceTotalScore;
    }

    public void setMaintenanceTotalScore(BigDecimal maintenanceTotalScore) {
        this.maintenanceTotalScore = maintenanceTotalScore;
    }

    public BigDecimal getRepairTotalScore() {
        return repairTotalScore;
    }

    public void setRepairTotalScore(BigDecimal repairTotalScore) {
        this.repairTotalScore = repairTotalScore;
    }

    public BigDecimal getFinalScore() {
        return finalScore;
    }

    public void setFinalScore(BigDecimal finalScore) {
        this.finalScore = finalScore;
    }
}